@article{van2021fast,
  title     = {Fast variable density 3-D node generation},
  author    = {van der Sande, Kiera and Fornberg, Bengt},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {43},
  number    = {1},
  pages     = {A242--A257},
  year      = {2021},
  publisher = {SIAM}
}

@article{shankar2018robust,
  author  = {Shankar, Varun and Kirby, Robert M. and Fogelson, Aaron L.},
  title   = {Robust node generation for meshfree discretizations on irregular domains and surfaces},
  journal = {SIAM J. Sci. Comput.},
  year    = {2018},
  volume  = {40},
  number  = {4},
  pages   = {2584--2608},
  doi     = {10.1137/17m114090x}
}

@book{liu2009meshfree,
  title     = {Meshfree methods: moving beyond the finite element method},
  author    = {Liu, Gui-Rong},
  year      = {2009},
  publisher = {CRC press}
}


@book{zienkiewicz2005finite,
  title     = {The finite element method for solid and structural mechanics},
  author    = {Zienkiewicz, Olek C and Taylor, Robert L},
  year      = {2005},
  publisher = {Elsevier}
}

@article{slak2021medusa,
  title     = {Medusa: A c++ library for solving pdes using strong form mesh-free methods},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {ACM Transactions on Mathematical Software (TOMS)},
  volume    = {47},
  number    = {3},
  pages     = {1--25},
  year      = {2021},
  publisher = {ACM New York, NY, USA}
}

@article{bayona2017role,
  title     = {On the role of polynomials in RBF-FD approximations: II. Numerical solution of elliptic PDEs},
  author    = {Bayona, Victor and Flyer, Natasha and Fornberg, Bengt and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {332},
  pages     = {257--273},
  year      = {2017},
  publisher = {Elsevier}
}

@article{flyer2016role,
  title     = {On the role of polynomials in RBF-FD approximations: I. Interpolation and accuracy},
  author    = {Flyer, Natasha and Fornberg, Bengt and Bayona, Victor and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {321},
  pages     = {21--38},
  year      = {2016},
  publisher = {Elsevier}
}

@article{slak2019generation,
  title     = {On generation of node distributions for meshless PDE discretizations},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {41},
  number    = {5},
  pages     = {A3202--A3229},
  year      = {2019},
  publisher = {SIAM}
}

@article{kosec2018local,
  title     = {A local numerical solution of a fluid-flow problem on an irregular domain},
  author    = {Kosec, Gregor},
  journal   = {Advances in engineering software},
  volume    = {120},
  pages     = {36--44},
  year      = {2018},
  publisher = {Elsevier}
}

@article{tolstykh2003using,
  title     = {On using radial basis functions in a “finite difference mode” with applications to elasticity problems},
  author    = {Tolstykh, AI and Shirobokov, DA},
  journal   = {Computational Mechanics},
  volume    = {33},
  number    = {1},
  pages     = {68--79},
  year      = {2003},
  publisher = {Springer}
}

@misc{rot,
  doi       = {10.48550/ARXIV.2202.08095},
  url       = {https://arxiv.org/abs/2202.08095},
  author    = {Rot, Miha and Kosec, Gregor},
  keywords  = {Numerical Analysis (math.NA), Computational Physics (physics.comp-ph), Fluid Dynamics (physics.flu-dyn), FOS: Mathematics, FOS: Mathematics, FOS: Physical sciences, FOS: Physical sciences},
  title     = {Refined RBF-FD analysis of non-Newtonian natural convection},
  publisher = {arXiv},
  year      = {2022},
  copyright = {Creative Commons Attribution 4.0 International}
}

@article{janvcivc2021monomial,
  title     = {Monomial augmentation guidelines for rbf-fd from accuracy versus computational time perspective},
  author    = {Jan{\v{c}}i{\v{c}}, Mitja and Slak, Jure and Kosec, Gregor},
  journal   = {Journal of Scientific Computing},
  volume    = {87},
  number    = {1},
  pages     = {1--18},
  year      = {2021},
  publisher = {Springer}
}

@inproceedings{stability_jancic,
  author    = {Jančič, Mitja and Kosec, Gregor},
  booktitle = {2022 45th Jubilee International Convention on Information, Communication and Electronic Technology (MIPRO)},
  title     = {Stability analysis of RBF-FD and WLS based local strong form meshless methods on scattered nodes},
  year      = {2022},
  volume    = {},
  number    = {},
  pages     = {275-280},
  doi       = {10.23919/MIPRO55190.2022.9803334}
}

  @article{depolli2022parallel,
  title     = {Parallel domain discretization algorithm for RBF-FD and other meshless numerical methods for solving PDEs},
  author    = {Depolli, Matja{\v{z}} and Slak, Jure and Kosec, Gregor},
  journal   = {Computers \& Structures},
  volume    = {264},
  pages     = {106773},
  year      = {2022},
  publisher = {Elsevier}
}

@phdthesis{slak2020adaptive,
  title  = {Adaptive RBF-FD method},
  author = {Slak, Jure},
  year   = {2020},
  school = {Univerza v Ljubljani, Fakulteta za matematiko in fiziko}
}

@book{wendland2004scattered,
  title     = {Scattered data approximation},
  author    = {Wendland, Holger},
  volume    = {17},
  year      = {2004},
  publisher = {Cambridge university press}
}

@article{bayona2019insight,
  title     = {An insight into RBF-FD approximations augmented with polynomials},
  author    = {Bayona, V{\'\i}ctor},
  journal   = {Computers \& Mathematics with Applications},
  volume    = {77},
  number    = {9},
  pages     = {2337--2353},
  year      = {2019},
  publisher = {Elsevier}
}


@book{anderson2010fundamentals,
  title     = {Fundamentals of aerodynamics},
  author    = {Anderson Jr, John David},
  year      = {2010},
  publisher = {Tata McGraw-Hill Education}
}

@book{Tritton1988,
  author    = {Tritton, D. J.},
  title     = {Physical Fluid Dynamics},
  isbn      = {9780198544937},
  publisher = {Clarendon Press},
  series    = {Oxford Science Publ},
  doi       = {10.1007/978-94-009-9992-3},
  lccn      = {87034162},
  year      = {1988}
}

@article{demirdvzic1992fluid,
  title     = {Fluid flow and heat transfer test problems for non-orthogonal grids: bench-mark solutions},
  author    = {Demird{\v{z}}i{\'c}, I and Lilek, {\v{Z}} and Peri{\'c}, M},
  journal   = {International Journal for Numerical Methods in Fluids},
  volume    = {15},
  number    = {3},
  pages     = {329--354},
  year      = {1992},
  publisher = {Wiley Online Library}
}

@article{ding2004simulation,
  title     = {Simulation of incompressible viscous flows past a circular cylinder by hybrid FD scheme and meshless least square-based finite difference method},
  author    = {Ding, H and Shu, C and Yeo, KS and Xu, D},
  journal   = {Computer Methods in Applied Mechanics and Engineering},
  volume    = {193},
  number    = {9-11},
  pages     = {727--744},
  year      = {2004},
  publisher = {Elsevier}
}
@article{javed2013hybrid,
  title   = {A hybrid mesh free local RBF-Cartesian FD scheme for incompressible flow around solid bodies},
  author  = {Javed, A and Djidjeli, K and Xing, JT and Cox, SJ},
  journal = {International Journal of Mathematical, Computational, Natural and Physical Engineering},
  volume  = {7},
  pages   = {957--966},
  year    = {2013}
}

@article{de1983natural,
  title     = {Natural convection of air in a square cavity: a bench mark numerical solution},
  author    = {de Vahl Davis, G},
  journal   = {International Journal for numerical methods in fluids},
  volume    = {3},
  number    = {3},
  pages     = {249--264},
  year      = {1983},
  publisher = {Wiley Online Library}
}

@article{kosec2008solution,
  title     = {Solution of thermo-fluid problems by collocation with local pressure correction},
  author    = {Kosec, Gregor and {\v{S}}arler, Bo{\v{z}}idar},
  journal   = {International Journal of Numerical Methods for Heat \& Fluid Flow},
  year      = {2008},
  publisher = {Emerald Group Publishing Limited}
}

@article{wan,
  author    = { D.   C. Wan, B. S. V. Patnaik, G. W. Wei },
  title     = {A NEW BENCHMARK QUALITY SOLUTION FOR THE BUOYANCY-DRIVEN CAVITY BY DISCRETE SINGULAR CONVOLUTION},
  journal   = {Numerical Heat Transfer, Part B: Fundamentals},
  volume    = {40},
  number    = {3},
  pages     = {199-228},
  year      = {2001},
  publisher = {Taylor & Francis},
  doi       = {10.1080/104077901752379620}
}

@article{sadat,
  author    = { H. Sadat and S. Couturier },
  title     = {PERFORMANCE AND ACCURACY OF A MESHLESS METHOD FOR LAMINAR NATURAL CONVECTION},
  journal   = {Numerical Heat Transfer, Part B: Fundamentals},
  volume    = {37},
  number    = {4},
  pages     = {455-467},
  year      = {2000},
  publisher = {Taylor & Francis},
  doi       = {10.1080/10407790050051146}
}

@article{nguyen2008meshless,
  title     = {Meshless methods: a review and computer implementation aspects},
  author    = {Nguyen, Vinh Phu and Rabczuk, Timon and Bordas, St{\'e}phane and Duflot, Marc},
  journal   = {Mathematics and computers in simulation},
  volume    = {79},
  number    = {3},
  pages     = {763--813},
  year      = {2008},
  publisher = {Elsevier}
}

@article{buhmann2000radial,
  title     = {Radial basis functions},
  author    = {Buhmann, Martin D},
  journal   = {Acta numerica},
  volume    = {9},
  pages     = {1--38},
  year      = {2000},
  publisher = {Cambridge university press}
}

@article{chorin1968numerical,
  title   = {Numerical solution of the Navier-Stokes equations},
  author  = {Chorin, Alexandre Joel},
  journal = {Mathematics of computation},
  volume  = {22},
  number  = {104},
  pages   = {745--762},
  year    = {1968}
}

@article{wang2002optimal,
  title     = {On the optimal shape parameters of radial basis functions used for 2-D meshless methods},
  author    = {Wang, JG and Liu, GRs},
  journal   = {Computer methods in applied mechanics and engineering},
  volume    = {191},
  number    = {23-24},
  pages     = {2611--2630},
  year      = {2002},
  publisher = {Elsevier}
}

@inproceedings{jancic2022stability,
  author    = {Jančič, Mitja and Kosec, Gregor},
  booktitle = {2022 45th Jubilee International Convention on Information, Communication and Electronic Technology (MIPRO)},
  title     = {Stability analysis of RBF-FD and WLS based local strong form meshless methods on scattered nodes},
  year      = {2022},
  volume    = {},
  number    = {},
  pages     = {275-280},
  doi       = {10.23919/MIPRO55190.2022.9803334}
}

@article{bourantas2018hybrid,
  title    = {Strong-form approach to elasticity: Hybrid finite difference-meshless collocation method (FDMCM)},
  journal  = {Applied Mathematical Modelling},
  volume   = {57},
  pages    = {316-338},
  year     = {2018},
  issn     = {0307-904X},
  doi      = {10.1016/j.apm.2017.09.028},
  author   = {G.C. Bourantas and K.A. Mountris and V.C. Loukopoulos and L. Lavier and G.R. Joldes and A. Wittek and K. Miller},
  keywords = {Meshless method, Strong form, Cartesian grid embedded, Finite difference method, Discretization Correction Particle Strength Exchange (DC PSE), Elastostatics}
}

@article{elkadmiri2022hybrid,
  title    = {A hybrid algorithm using the FEM-MESHLESS method to solve nonlinear structural problems},
  journal  = {Engineering Analysis with Boundary Elements},
  volume   = {140},
  pages    = {531-543},
  year     = {2022},
  issn     = {0955-7997},
  doi      = {10.1016/j.enganabound.2022.04.018},
  author   = {Redouane {El Kadmiri} and Youssef Belaasilia and Abdelaziz Timesli and M. Saddik Kadiri},
  keywords = {Meshless methods, Weighted least squares, Weak–strong form, Finite element method, Coupled FEM-MESHLESS method, High-order development continuation technique}
}


@article{slak2019refinedCauchy,
  title    = {Refined Meshless Local Strong Form solution of Cauchy–Navier equation on an irregular domain},
  journal  = {Engineering Analysis with Boundary Elements},
  volume   = {100},
  pages    = {3-13},
  year     = {2019},
  issn     = {0955-7997},
  doi      = {10.1016/j.enganabound.2018.01.001},
  author   = {J. Slak and G. Kosec},
  keywords = {Meshless Local Strong Form Method, Weighted Least Squares, Shape functions, Cauchy–Navier equation, Cantilever beam, Hertzian contact, h-Refinement, Irregular domain}
}


@article{prax1996diffuse,
  title     = {Diffuse approximation method for solving natural convection in porous media},
  author    = {Prax, C and Sadat, H and Salagnac, Patrick},
  journal   = {Transport in Porous Media},
  volume    = {22},
  number    = {2},
  pages     = {215--223},
  year      = {1996},
  publisher = {Springer}
}

@article{patel2020meshless,
  title     = {Meshless method--review on recent developments},
  author    = {Patel, Vivek G and Rachchh, Nikunj V},
  journal   = {Materials today: proceedings},
  volume    = {26},
  pages     = {1598--1603},
  year      = {2020},
  publisher = {Elsevier}
}

@article{slak2019adaptive,
  author  = {Slak, Jure and Kosec, Gregor},
  title   = {Adaptive radial basis function-generated finite differences method for contact problems},
  journal = {International Journal for Numerical Methods in Engineering},
  year    = {2019},
  volume  = {119},
  number  = {7},
  pages   = {661--686},
  month   = aug,
  doi     = {10.1002/nme.6067}
}

@book{fornberg2015primer,
  title     = {A primer on radial basis functions with applications to the geosciences},
  author    = {Fornberg, Bengt and Flyer, Natasha},
  year      = {2015},
  publisher = {SIAM}
}

@article{FORNBERG20112270,
  title   = {Stabilization of RBF-generated finite difference methods for convective PDEs},
  journal = {Journal of Computational Physics},
  volume  = {230},
  number  = {6},
  pages   = {2270-2285},
  year    = {2011},
  issn    = {0021-9991},
  doi     = {10.1016/j.jcp.2010.12.014},
  author  = {Bengt Fornberg and Erik Lehto}
}

@article{toth2023h,
  title     = {h-Adaptive radial basis function finite difference method for linear elasticity problems},
  author    = {T{\'o}th, Bal{\'a}zs and D{\"u}ster, Alexander},
  journal   = {Computational Mechanics},
  volume    = {71},
  number    = {3},
  pages     = {433--452},
  year      = {2023},
  publisher = {Springer}
}

@article{zamolo2019solution,
  title     = {Solution of incompressible fluid flow problems with heat transfer by means of an efficient RBF-FD meshless approach},
  author    = {Zamolo, R and Nobile, E},
  journal   = {Numerical Heat Transfer, Part B: Fundamentals},
  volume    = {75},
  number    = {1},
  pages     = {19--42},
  year      = {2019},
  publisher = {Taylor \& Francis}
}
@inproceedings{hybrid_conference,
  author    = {Jan{\v{c}}i{\v{c}}, Mitja
               and Rot, Miha
               and Kosec, Gregor},
  editor    = {Miky{\v{s}}ka, Ji{\v{r}}{\'i}
               and de Mulatier, Cl{\'e}lia
               and Paszynski, Maciej
               and Krzhizhanovskaya, Valeria V.
               and Dongarra, Jack J.
               and Sloot, Peter M.A.},
  title     = {Spatially-Varying Meshless Approximation Method for Enhanced Computational Efficiency},
  booktitle = {Computational Science -- ICCS 2023},
  year      = {2023},
  publisher = {Springer Nature Switzerland},
  address   = {Cham},
  pages     = {500--514},
  isbn      = {978-3-031-36027-5}
}

@book{Slaughter_2002,
  title     = {The linearized theory of elasticity},
  author    = {Slaughter, William S},
  year      = {2012},
  publisher = {Springer Science \& Business Media}
}


@article{duh_fast_2021,
  title   = {Fast variable density node generation on parametric surfaces with application to mesh-free methods},
  volume  = {43},
  doi     = {10.1137/20m1325642},
  number  = {2},
  journal = {SIAM Journal on Scientific Computing},
  author  = {Duh, Urban and Kosec, Gregor and Slak, Jure},
  month   = jan,
  year    = {2021},
  note    = {Publisher: Society for Industrial \& Applied Mathematics (SIAM)},
  pages   = {A980--A1000},
  file    = {Duh et al. - 2021 - Fast Variable Density Node Generation on Parametri.pdf:D\:\\2_publications\\P_2020_surfacefill\\Duh et al. - 2021 - Fast Variable Density Node Generation on Parametri.pdf:application/pdf}
}

@article{kosec_local_2013,
  title    = {Local strong form meshless method on multiple {Graphics} {Processing} {Units}},
  abstract = {This paper deals with the implementation of the local meshless numerical method (LMM) on general purpose graphics processing units (GPU) in solving partial differential equations (PDE). The local meshless solution procedure is formulated in a way suitable for parallel execution and has been implemented on multiple GPUs. The implementation is tested on a solution of diffusion equation in a 2D domain. Different setups of the meshless approach regarding the selection of basis functions are tested on an interval up to 2.5 million of computational points. It is shown that monomials are a good selection of the basis when working with a high number of nodes. The results are presented in terms of error analysis, convergence analysis and computational performance measurements.},
  language = {en},
  author   = {Kosec, G and Zinterhof, P},
  year     = {2013},
  pages    = {20},
  file     = {Kosec and Zinterhof - Local strong form meshless method on multiple Grap.pdf:D\:\\2_publications\\P_2013_KosecZinterhof_GPU\\Kosec and Zinterhof - Local strong form meshless method on multiple Grap.pdf:application/pdf}
}

@article{vertnik2013local,
  title     = {Local radial basis function collocation method along with explicit time stepping for hyperbolic partial differential equations},
  author    = {Vertnik, R and {\v{S}}arler, B and others},
  journal   = {Applied Numerical Mathematics},
  volume    = {67},
  pages     = {136--151},
  year      = {2013},
  publisher = {Elsevier}
}

@article{jaskowiec2023coupling,
	title={Coupling finite element method with meshless finite difference method by means of approximation constraints},
	author={Ja{\'s}kowiec, Jan and Milewski, S{\l}awomir},
	journal={Computers \& Mathematics with Applications},
	volume={142},
	pages={208--224},
	year={2023},
	publisher={Elsevier}
}

@inproceedings{bourantas2015hybrid,
	title={Hybrid mesh/particle meshless method for modeling geological flows with discontinuous transport properties},
	author={Bourantas, Georgios and Lavier, Luc and Van Dam, Tonie and Bordas, St{\'e}phane},
	booktitle={EGU General Assembly Conference Abstracts},
	pages={11519},
	year={2015}
}


@article{wang2017numerical,
  title     = {Numerical study of three-dimensional natural convection in a cubical cavity at high Rayleigh numbers},
  author    = {Wang, Peng and Zhang, Yonghao and Guo, Zhaoli},
  journal   = {International Journal of Heat and Mass Transfer},
  volume    = {113},
  pages     = {217--228},
  year      = {2017},
  publisher = {Elsevier}
}

@article{fusegi1991numerical,
  title     = {A numerical study of three-dimensional natural convection in a differentially heated cubical enclosure},
  author    = {Fusegi, T and Hyun, Jae Min and Kuwahara, K and Farouk, B},
  journal   = {International Journal of Heat and Mass Transfer},
  volume    = {34},
  number    = {6},
  pages     = {1543--1557},
  year      = {1991},
  publisher = {Elsevier}
}

@article{ding2005error,
	title={Error estimates of local multiquadric-based differential quadrature (LMQDQ) method through numerical experiments},
	author={Ding, H and Shu, C and Tang, DB},
	journal={International journal for numerical methods in engineering},
	volume={63},
	number={11},
	pages={1513--1529},
	year={2005},
	publisher={Wiley Online Library}
}

@article{bayona2010,
	title = {{RBF}-{FD} formulas and convergence properties},
	volume = {229},
	issn = {00219991},
	url = {https://linkinghub.elsevier.com/retrieve/pii/S0021999110003773},
	doi = {10.1016/j.jcp.2010.07.008},
	language = {en},
	number = {22},
	urldate = {2023-09-29},
	journal = {Journal of Computational Physics},
	author = {Bayona, Victor and Moscoso, Miguel and Carretero, Manuel and Kindelan, Manuel},
	month = nov,
	year = {2010},
	pages = {8281--8295},
	file = {Bayona et al. - 2010 - RBF-FD formulas and convergence properties.pdf:D\:\\5_literature\\__Zotero\\zoteroDB\\storage\\28DVHJNS\\Bayona et al. - 2010 - RBF-FD formulas and convergence properties.pdf:application/pdf},
}


@article{jancic_strong_2023,
	title = {Strong form mesh-free hp-adaptive solution of linear elasticity problem},
	issn = {0177-0667, 1435-5663},
	url = {https://link.springer.com/10.1007/s00366-023-01843-6},
	doi = {10.1007/s00366-023-01843-6},
	language = {en},
	urldate = {2023-06-20},
	journal = {Engineering with Computers},
	author = {Jančič, Mitja and Kosec, Gregor},
	month = may,
	year = {2023},
	file = {Jančič and Kosec - 2023 - Strong form mesh-free hp-adaptive solution of line.pdf:D\:\\5_literature\\__Zotero\\zoteroDB\\storage\\QL6PRLNE\\Jančič and Kosec - 2023 - Strong form mesh-free hp-adaptive solution of line.pdf:application/pdf},
}
